"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useInterval = void 0;
const React = require("react");
const useInterval = (intervalFunction, interval) => {
    const refIntervalFunction = React.useRef();
    React.useEffect(() => {
        refIntervalFunction.current = intervalFunction;
    }, [intervalFunction]);
    React.useEffect(() => {
        if (typeof interval !== 'number') {
            return;
        }
        const timer = setInterval(() => {
            if (typeof refIntervalFunction.current
                === 'function') {
                refIntervalFunction.current();
            }
        }, interval);
        return () => {
            clearInterval(timer);
        };
    }, [interval]);
    return;
};
exports.useInterval = useInterval;
